## molly-guard-0.4.5.tar.gz

=== Makefile ===
prefix?=/usr/local
etc_prefix?=$(prefix)
DST=$(DEST)$(prefix)
ETCDIR=$(etc_prefix)/etc/molly-guard

USER=root
GROUP=wheel
SCRIPTDIR=libexec/molly-guard

all: molly-guard.8.gz shutdown

%.8: DB2MAN=$(prefix)/share/xsl/docbook-xsl/manpages/docbook.xsl
%.8: XP=xsltproc -''-nonet
%.8: %.xml
	$(XP) $(DB2MAN) $<

%.gz: %
	gzip -9 -c $< > $@

man: molly-guard.8
	man -l $<
.PHONY: man

clean:
	rm -f shutdown
	rm -f molly-guard.8 molly-guard.8.gz
.PHONY: clean

shutdown: shutdown.in
	sed -e 's,@ETCDIR@,$(ETCDIR),g' $< > $@

install: shutdown molly-guard.8.gz
	mkdir -m755 -p $(DST)/$(SCRIPTDIR)
	install -m755 -o$(USER) -g$(GROUP) shutdown $(DST)/$(SCRIPTDIR)

	mkdir -m755 -p $(DST)/sbin
	ln -s ../$(SCRIPTDIR)/shutdown $(DST)/sbin/halt
	ln -s ../$(SCRIPTDIR)/shutdown $(DST)/sbin/reboot
	ln -s ../$(SCRIPTDIR)/shutdown $(DST)/sbin/shutdown

	mkdir -m755 -p $(DEST)/$(ETCDIR)
	install -m644 -o$(USER) -g$(GROUP) rc $(DEST)/$(ETCDIR)
	cp -r run.d $(DEST)/$(ETCDIR) \
	  && chown -R $(USER):$(GROUP) $(DEST)/$(ETCDIR)/run.d && chmod -R 755 $(DEST)/$(ETCDIR)/run.d

	mkdir -m755 -p $(DEST)/$(ETCDIR)/messages.d

	mkdir -m755 -p $(DST)/share/man/man8
	install -m644 -o$(USER) -g$(GROUP) molly-guard.8.gz $(DST)/share/man/man8
.PHONY: install

=== debian/changelog ===
molly-guard (0.4.5-1) unstable; urgency=low

  * New upstream release, which works properly with kFreeBSD
    (closes: #548099).
    - remove linuxism /proc/<pid>/fd/0;
    - add check for ssh in the ancestry of the shell process.
  * Add Uploader: Ludovico Gardenghi <garden@debian.org>
  * Bump debhelper compatibility level to 7:
    - replace dh_clean -k with dh_prep.
  * Bump Standars-Version to 3.9.3: no other changes required.
  * Add recommended build-indep and build-arch targets in debian/rules.
  * Replace $(PWD) with $(CURDIR) in debian/rules.

 -- Ludovico Gardenghi <garden@debian.org>  Fri, 24 Feb 2012 01:02:20 +0100

molly-guard (0.4.4-2) unstable; urgency=low

  * Remove dependency on sysvutils, which is essential, and upstart, which is
    in experimental still (closes: #488722).

 -- martin f. krafft <madduck@debian.org>  Tue, 01 Jul 2008 15:28:51 +0200

molly-guard (0.4.4-1) unstable; urgency=low

  * New upstream release, which now properly passes arguments to the real
    commands (closes: #486945).

 -- martin f. krafft <madduck@debian.org>  Thu, 19 Jun 2008 10:17:35 +0200

molly-guard (0.4.3-1) unstable; urgency=low

  * New upstream release, which properly detects sshd sessions, even if
    ControlMaster is in use.

 -- martin f. krafft <madduck@debian.org>  Sun, 01 Jun 2008 23:20:00 +0200

molly-guard (0.4.2-1) unstable; urgency=low

  * New upstream release, to unstable.

 -- martin f. krafft <madduck@debian.org>  Sat, 31 May 2008 16:20:35 +0200

molly-guard (0.4-1~exp.1) experimental; urgency=low

  * New upstream release, thanks a lot to Andrew Ruthven for his input and
    patches.
    - use run-parts to allow additional checks to be added easily.
    - add setting to always molly-guard a host (closes: #470681, #471382).
    - possibly print out a warning message before taking action
      (closes: 476508).
  * Add a molly-guard(8) manpage and migrate the content from README there.

 -- martin f. krafft <madduck@debian.org>  Sat, 19 Apr 2008 15:36:36 +0200

molly-guard (0.3.2-1) unstable; urgency=low

  * New upstream release, which prevent set -u from falling over unset
    SSH_CONNECTION variable (closes: #471129).

 -- martin f. krafft <madduck@debian.org>  Sun, 16 Mar 2008 08:55:37 +0100

molly-guard (0.3.1-1) unstable; urgency=low

  [ martin f. krafft ]
  * New upstream release (closes: #469951).
  * Fix Vcs-* links, which now point to the new Git repo.
  * Bump debhelper compatibility level to 6; no other changes required.
  * Bump Standards-Version to 3.7.3; no other changes required.
  * Add a basic README file.

  [ Thijs Kinkhorst ]
  * Tweak description.

 -- martin f. krafft <madduck@debian.org>  Wed, 12 Mar 2008 19:56:49 +0100

molly-guard (0.3-2) unstable; urgency=low

  * Pass --short option to hostname to prevent the user from having to type
    the whole FQDN at times (closes: #431205).

 -- martin f. krafft <madduck@debian.org>  Mon, 02 Jul 2007 18:26:09 +0200

molly-guard (0.3-1) unstable; urgency=low

  * Shield shutdown -h; I am terribly sorry, Andrew! (closes: #426107).
    Now only shutdown -c and * --help are passed through regardless.
  * Added --help option, which now prints a short molly-guard help message
    followed by the actual command's help output.
  * Now should also work in su/sudo sessions because it now checks whether the
    creator of the current tty/pts is sshd, rather than the brittle check for
    the environment. Thanks to Craig Small and Don Armstrong for their sparks
    of brilliance (closes: #425831).
  * Corrected a typo in the package description (closes: #408706).
  * Added --pretend-ssh option to facilitate testing.

 -- martin f. krafft <madduck@debian.org>  Sat, 26 May 2007 14:52:57 +0200

molly-guard (0.2.2-1) unstable; urgency=low

  * New upstream release:
    - now also protects the poweroff command (closes: #401042).
  * Added missing licence text to copyright file (closes: #399726).

 -- martin f. krafft <madduck@debian.org>  Tue, 12 Dec 2006 12:58:55 +0100

molly-guard (0.2.1-1) unstable; urgency=low

  * New upstream release, which does better shell quoting.

 -- martin f. krafft <madduck@debian.org>  Thu, 19 Oct 2006 18:17:14 +0200

molly-guard (0.2-1) unstable; urgency=low

  * New upstream release, which handles --help related options better.

 -- martin f. krafft <madduck@debian.org>  Thu, 19 Oct 2006 17:27:14 +0200

molly-guard (0.1-1) unstable; urgency=low

  * Initial release
    (see http://lists.debian.org/debian-devel/2006/10/msg00712.html)

 -- martin f. krafft <madduck@debian.org>  Thu, 19 Oct 2006 11:47:24 +0200

=== debian/control ===
Source: molly-guard
Section: admin
Priority: extra
Maintainer: martin f. krafft <madduck@debian.org>
Uploaders: Ludovico Gardenghi <garden@debian.org>
Build-Depends: debhelper (>= 6), xsltproc, docbook-xsl
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/molly-guard.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/molly-guard.git

Package: molly-guard
Architecture: all
Depends: procps, ${misc:Depends}
Enhances: sysvinit, upstart, openssh-server
Description: protects machines from accidental shutdowns/reboots
 The package installs a shell script that overrides the existing
 shutdown/reboot/halt/poweroff commands and first runs a set of scripts, which
 all have to exit successfully, before molly-guard invokes the real command.
 .
 One of the scripts checks for existing SSH sessions. If any of the four
 commands are called interactively over an SSH session, the shell script
 prompts you to enter the name of the host you wish to shut down. This should
 adequately prevent you from accidental shutdowns and reboots.
 .
 This shell script passes through the commands to the respective binaries in
 /sbin and should thus not get in the way if called non-interactively, or
 locally.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © martin f. krafft <madduck@debian.org>
# Distributable under the terms of the Artistic Licence 2.0

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/molly-guard

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) prefix=/usr etc_prefix=/
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DEST=$(DESTDIR) prefix=/usr etc_prefix=/

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman

	install -m644 debian/molly-guard.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/molly-guard

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
